nelmio_api_doc:
  documentation:
    info:
      title: Acquirung API
      description: Paynetics API For E-commerce acquirung
      version: 1.0.0
  areas:
    default:
      path_patterns:
        - ^/v(\d)
      name_patterns:
        - ^acquiring_.+?
        - ^three_domain_.+?
        - ^init$
        - ^web_init$
        - ^cards_.+?
        - ^transactions_.+?
        - ^oct.+?
  models:
    names:
      - { alias: AVS , type: App\Dto\Request\AvsDto, groups: [ "init",  "avs" ] }
      - { alias: Purchase , type: App\Dto\Request\PurchaseDto, groups: [ "init", "purchase" ] }
      - { alias: Pre Authorization , type: App\Dto\Request\PreAuthorizationDto, groups: [ "init", "pre-authorization" ] }
      - { alias: Capture , type: App\Dto\Request\CaptureDto, groups: [ "Default", "init" ] }
      - { alias: Credit , type: App\Dto\Request\CreditDto, groups: [ "init", "credit" ] }
      - { alias: OCT , type: App\Dto\Request\OctDto, groups: [ "init", "oct" ] }
      - { alias: Refund , type: App\Dto\Request\RefundDto }
      - { alias: Reversal , type: App\Dto\Request\ReversalDto }
      - { alias: Top Up , type: App\Dto\Request\TopUpDto }
      - { alias: Acquiring Response , type: App\Dto\Response\OpenApiAcquiringResponse }
